Subject: bug#26567: closed (Re: bug#26567: guix publish Resource not found)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Apr 2017 21:49:02 +0000

Your bug report

#26567: guix publish Resource not found

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26567: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26567
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26567: guix publish Resource not found
From: [email-masked] (Ludovic Courtès)
To: Marius Bakke <[email-masked]>
Cc: Quiliro <[email-masked]>, [email-masked]
Date: Wed, 19 Apr 2017 23:48:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> skribis:

> Quiliro <[email-masked]> writes:
>
>> I have run as root:
>> guix archive --generate-key
>> guix publish --user=quiliro
>> But when opening web page:
>> http://0.0.0.0:8080/
>> I get:
>> Resource not found: /
>
> That is expected.

Indeed, until now ‘guix publish’ did not show anything for / and
/index.html.  Fixed in commit e1bbc0e38d0c9a5d248ec8b686fdd0a972a61ff4.

Though note that ‘guix publish’ is meant to serve data to Guix clients; 
it’s not meant to serve HTML pages to human beings.  :-)

Thanks,
Ludo’.

Subject: guix publish Resource not found
From: Quiliro <[email-masked]>
To: [email-masked]
Date: Mon, 17 Apr 2017 18:45:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I have run as root:
guix archive --generate-key
guix publish --user=quiliro
But when opening web page:
http://0.0.0.0:8080/
I get:
Resource not found: /

-- 
Saluton,
Quiliro
0987631031